import type { IO } from "fp-ts/lib/IO";

export interface Logger {
  log: (message: string) => IO<void>;
  error: (message: string) => IO<void>;
}

export const ConsoleLogger: Logger = {
  log: (message: string) => () => console.log(new Date(), "[INFO]", message),
  error: (message: string) => () => console.error(new Date(), "[ERROR]", message)
};
